<profile>

<section name = "Vitis HLS Report for 'cache_module_Pipeline_VITIS_LOOP_20_2'" level="0">
<item name = "Date">Sun Jun  5 00:08:35 2022
</item>
<item name = "Version">2022.1 (Build 3526262 on Mon Apr 18 15:47:01 MDT 2022)</item>
<item name = "Project">dsd2-cache-memory</item>
<item name = "Solution">solution1 (Vivado IP Flow Target)</item>
<item name = "Product family">zynq</item>
<item name = "Target device">xc7z020-clg400-1</item>
</section>

<section name = "Performance Estimates" level="0">
<item name = "Timing">
<section name = "" level="1">
<item name = "Summary"><table name="" hasTotal="0">
<keys size="4">Clock, Target, Estimated, Uncertainty</keys>
<column name="ap_clk">10.00 ns, 7.353 ns, 2.00 ns</column>
</table>
</item>
</section>
</item>
<item name = "Latency">
<section name = "" level="1">
<item name = "Summary"><table name="" hasTotal="0">
<keys size="8">, min, max, min, max, min, max, Type</keys>
<column name="">5, 12, 50.000 ns, 0.120 us, 5, 12, no</column>
</table>
</item>
<item name = "Detail">
<section name = "" level="1">
<item name = "Instance"><table name="" hasTotal="0">
<keys size="9">Instance, Module, min, max, min, max, min, max, Type</keys>
</table>
</item>
<item name = "Loop"><table name="" hasTotal="0">
<keys size="8">Loop Name, min, max, Latency, achieved, target, Count, Pipelined</keys>
<column name="- VITIS_LOOP_20_2">3, 9, 2, 2, 1, 1 ~ 4, yes</column>
</table>
</item>
</section>
</item>
</section>
</item>
</section>

<section name = "Utilization Estimates" level="0">
<item name = "Summary"><table name="" hasTotal="1">
<keys size="6">Name, BRAM_18K, DSP, FF, LUT, URAM</keys>
<column name="DSP">-, -, -, -, -</column>
<column name="Expression">-, -, 0, 37, -</column>
<column name="FIFO">-, -, -, -, -</column>
<column name="Instance">-, -, -, -, -</column>
<column name="Memory">-, -, -, -, -</column>
<column name="Multiplexer">-, -, -, 58, -</column>
<column name="Register">-, -, 78, -, -</column>
<specialColumn name="Available">280, 220, 106400, 53200, 0</specialColumn>
<specialColumn name="Utilization (%)">0, 0, ~0, ~0, 0</specialColumn>
</table>
</item>
<item name = "Detail">
<section name = "" level="1">
<item name = "Instance"><table name="" hasTotal="1">
<keys size="7">Instance, Module, BRAM_18K, DSP, FF, LUT, URAM</keys>
</table>
</item>
<item name = "DSP"><table name="" hasTotal="0">
<keys size="3">Instance, Module, Expression</keys>
</table>
</item>
<item name = "Memory"><table name="" hasTotal="1">
<keys size="10">Memory, Module, BRAM_18K, FF, LUT, URAM, Words, Bits, Banks, W*Bits*Banks</keys>
</table>
</item>
<item name = "FIFO"><table name="" hasTotal="1">
<keys size="8">Name, BRAM_18K, FF, LUT, URAM, Depth, Bits, Size:D*B</keys>
</table>
</item>
<item name = "Expression"><table name="" hasTotal="1">
<keys size="7">Variable Name, Operation, DSP, FF, LUT, Bitwidth P0, Bitwidth P1</keys>
<column name="add_ln20_fu_120_p2">+, 0, 0, 11, 3, 1</column>
<column name="icmp_ln20_fu_114_p2">icmp, 0, 0, 9, 3, 4</column>
<column name="icmp_ln21_fu_156_p2">icmp, 0, 0, 17, 29, 29</column>
</table>
</item>
<item name = "Multiplexer"><table name="" hasTotal="1">
<keys size="5">Name, LUT, Input Size, Bits, Total Bits</keys>
<column name="ap_NS_fsm">31, 6, 1, 6</column>
<column name="ap_phi_mux_UnifiedRetVal_phi_fu_98_p4">9, 2, 1, 2</column>
<column name="ap_return">9, 2, 1, 2</column>
<column name="i_fu_58">9, 2, 3, 6</column>
</table>
</item>
<item name = "Register"><table name="" hasTotal="1">
<keys size="5">Name, FF, LUT, Bits, Const Bits</keys>
<column name="UnifiedRetVal_reg_94">1, 0, 1, 0</column>
<column name="add_ln20_reg_186">3, 0, 3, 0</column>
<column name="ap_CS_fsm">5, 0, 5, 0</column>
<column name="ap_return_preg">1, 0, 1, 0</column>
<column name="cacheMemory_load_reg_196">64, 0, 64, 0</column>
<column name="i_fu_58">3, 0, 3, 0</column>
<column name="icmp_ln20_reg_182">1, 0, 1, 0</column>
</table>
</item>
</section>
</item>
</section>

<section name = "Interface" level="0">
<item name = "Summary"><table name="" hasTotal="0">
<keys size="6">RTL Ports, Dir, Bits, Protocol, Source Object, C Type</keys>
<column name="ap_clk">in, 1, ap_ctrl_hs, cache_module_Pipeline_VITIS_LOOP_20_2, return value</column>
<column name="ap_rst">in, 1, ap_ctrl_hs, cache_module_Pipeline_VITIS_LOOP_20_2, return value</column>
<column name="ap_start">in, 1, ap_ctrl_hs, cache_module_Pipeline_VITIS_LOOP_20_2, return value</column>
<column name="ap_done">out, 1, ap_ctrl_hs, cache_module_Pipeline_VITIS_LOOP_20_2, return value</column>
<column name="ap_idle">out, 1, ap_ctrl_hs, cache_module_Pipeline_VITIS_LOOP_20_2, return value</column>
<column name="ap_ready">out, 1, ap_ctrl_hs, cache_module_Pipeline_VITIS_LOOP_20_2, return value</column>
<column name="ap_return">out, 1, ap_ctrl_hs, cache_module_Pipeline_VITIS_LOOP_20_2, return value</column>
<column name="bf_lshr_cast">in, 1, ap_none, bf_lshr_cast, scalar</column>
<column name="trunc_ln7">in, 29, ap_none, trunc_ln7, scalar</column>
<column name="cacheMemory_load_2_out">out, 64, ap_vld, cacheMemory_load_2_out, pointer</column>
<column name="cacheMemory_load_2_out_ap_vld">out, 1, ap_vld, cacheMemory_load_2_out, pointer</column>
<column name="cacheMemory_address0">out, 3, ap_memory, cacheMemory, array</column>
<column name="cacheMemory_ce0">out, 1, ap_memory, cacheMemory, array</column>
<column name="cacheMemory_q0">in, 64, ap_memory, cacheMemory, array</column>
</table>
</item>
</section>
</profile>
